#ifndef __OFXML__
#define __OFXML__

#include "ofMain.h"
#include "string.h"
#include "xmlParser.h"

class ofXML{

	public:
		ofXML();
		
		void init(char *mainTag);		
		void initFromFile(char * xmlFile, char *mainTag);
		void saveFile(char * xmlFile);

		void getValue(char * tag, float * valueAsInt);
		void getValue(char * tag, int	* valueAsFloat);
		void getValue(char * tag, char  * valueAsString);

		void setValue(char * tag, float  valueAsfloat);
		void setValue(char * tag, int    valueAsInt);
		void setValue(char * tag, char * valueAsString);
		
	private:
		 XMLNode parseTag(char * tag);
		 XMLNode xMainNode;
		 bool mainTagSet;


};

#endif